//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2017.12.12 at 09:36:31 PM CET 
//


package pl.adriankozlowski.jpk.file;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the jpk.file package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: jpk.file
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link JPK }
     */
    public JPK createJPK() {
        return new JPK();
    }

    /**
     * Create an instance of {@link TOsobaFizycznaPelna }
     */
    public TOsobaFizycznaPelna createTOsobaFizycznaPelna() {
        return new TOsobaFizycznaPelna();
    }

    /**
     * Create an instance of {@link TPodmiotDowolnyPelny }
     */
    public TPodmiotDowolnyPelny createTPodmiotDowolnyPelny() {
        return new TPodmiotDowolnyPelny();
    }

    /**
     * Create an instance of {@link TOsobaFizyczna }
     */
    public TOsobaFizyczna createTOsobaFizyczna() {
        return new TOsobaFizyczna();
    }

    /**
     * Create an instance of {@link TOsobaNiefizycznaPelna }
     */
    public TOsobaNiefizycznaPelna createTOsobaNiefizycznaPelna() {
        return new TOsobaNiefizycznaPelna();
    }

    /**
     * Create an instance of {@link TOsobaFizyczna2 }
     */
    public TOsobaFizyczna2 createTOsobaFizyczna2() {
        return new TOsobaFizyczna2();
    }

    /**
     * Create an instance of {@link TOsobaNiefizyczna }
     */
    public TOsobaNiefizyczna createTOsobaNiefizyczna() {
        return new TOsobaNiefizyczna();
    }

    /**
     * Create an instance of {@link TOsobaFizyczna1 }
     */
    public TOsobaFizyczna1 createTOsobaFizyczna1() {
        return new TOsobaFizyczna1();
    }

    /**
     * Create an instance of {@link TPodmiotDowolny }
     */
    public TPodmiotDowolny createTPodmiotDowolny() {
        return new TPodmiotDowolny();
    }

    /**
     * Create an instance of {@link TNaglowek }
     */
    public TNaglowek createTNaglowek() {
        return new TNaglowek();
    }

    /**
     * Create an instance of {@link JPK.Podmiot1 }
     */
    public JPK.Podmiot1 createJPKPodmiot1() {
        return new JPK.Podmiot1();
    }

    /**
     * Create an instance of {@link JPK.SprzedazWiersz }
     */
    public JPK.SprzedazWiersz createJPKSprzedazWiersz() {
        return new JPK.SprzedazWiersz();
    }

    /**
     * Create an instance of {@link JPK.SprzedazCtrl }
     */
    public JPK.SprzedazCtrl createJPKSprzedazCtrl() {
        return new JPK.SprzedazCtrl();
    }

    /**
     * Create an instance of {@link JPK.ZakupWiersz }
     */
    public JPK.ZakupWiersz createJPKZakupWiersz() {
        return new JPK.ZakupWiersz();
    }

    /**
     * Create an instance of {@link JPK.ZakupCtrl }
     */
    public JPK.ZakupCtrl createJPKZakupCtrl() {
        return new JPK.ZakupCtrl();
    }

    /**
     * Create an instance of {@link TIdentyfikatorOsobyFizycznej1 }
     */
    public TIdentyfikatorOsobyFizycznej1 createTIdentyfikatorOsobyFizycznej1() {
        return new TIdentyfikatorOsobyFizycznej1();
    }

    /**
     * Create an instance of {@link TIdentyfikatorOsobyFizycznej2 }
     */
    public TIdentyfikatorOsobyFizycznej2 createTIdentyfikatorOsobyFizycznej2() {
        return new TIdentyfikatorOsobyFizycznej2();
    }

    /**
     * Create an instance of {@link TIdentyfikatorOsobyFizycznejPelny }
     */
    public TIdentyfikatorOsobyFizycznejPelny createTIdentyfikatorOsobyFizycznejPelny() {
        return new TIdentyfikatorOsobyFizycznejPelny();
    }

    /**
     * Create an instance of {@link TIdentyfikatorOsobyFizycznej }
     */
    public TIdentyfikatorOsobyFizycznej createTIdentyfikatorOsobyFizycznej() {
        return new TIdentyfikatorOsobyFizycznej();
    }

    /**
     * Create an instance of {@link TIdentyfikatorOsobyNiefizycznejZagranicznej }
     */
    public TIdentyfikatorOsobyNiefizycznejZagranicznej createTIdentyfikatorOsobyNiefizycznejZagranicznej() {
        return new TIdentyfikatorOsobyNiefizycznejZagranicznej();
    }

    /**
     * Create an instance of {@link TAdres }
     */
    public TAdres createTAdres() {
        return new TAdres();
    }

    /**
     * Create an instance of {@link TAdresPolski }
     */
    public TAdresPolski createTAdresPolski() {
        return new TAdresPolski();
    }

    /**
     * Create an instance of {@link TPodmiotDowolnyBezAdresu }
     */
    public TPodmiotDowolnyBezAdresu createTPodmiotDowolnyBezAdresu() {
        return new TPodmiotDowolnyBezAdresu();
    }

    /**
     * Create an instance of {@link TAdresZagraniczny }
     */
    public TAdresZagraniczny createTAdresZagraniczny() {
        return new TAdresZagraniczny();
    }

    /**
     * Create an instance of {@link TIdentyfikatorOsobyNiefizycznej }
     */
    public TIdentyfikatorOsobyNiefizycznej createTIdentyfikatorOsobyNiefizycznej() {
        return new TIdentyfikatorOsobyNiefizycznej();
    }

    /**
     * Create an instance of {@link TPodmiotDowolnyBezAdresu2 }
     */
    public TPodmiotDowolnyBezAdresu2 createTPodmiotDowolnyBezAdresu2() {
        return new TPodmiotDowolnyBezAdresu2();
    }

    /**
     * Create an instance of {@link TPodmiotDowolnyBezAdresu1 }
     */
    public TPodmiotDowolnyBezAdresu1 createTPodmiotDowolnyBezAdresu1() {
        return new TPodmiotDowolnyBezAdresu1();
    }

    /**
     * Create an instance of {@link TIdentyfikatorOsobyNiefizycznejPelny }
     */
    public TIdentyfikatorOsobyNiefizycznejPelny createTIdentyfikatorOsobyNiefizycznejPelny() {
        return new TIdentyfikatorOsobyNiefizycznejPelny();
    }

    /**
     * Create an instance of {@link TIdentyfikatorOsobyFizycznejZagranicznej }
     */
    public TIdentyfikatorOsobyFizycznejZagranicznej createTIdentyfikatorOsobyFizycznejZagranicznej() {
        return new TIdentyfikatorOsobyFizycznejZagranicznej();
    }

    /**
     * Create an instance of {@link TOsobaFizycznaPelna.AdresZamieszkania }
     */
    public TOsobaFizycznaPelna.AdresZamieszkania createTOsobaFizycznaPelnaAdresZamieszkania() {
        return new TOsobaFizycznaPelna.AdresZamieszkania();
    }

    /**
     * Create an instance of {@link TPodmiotDowolnyPelny.AdresZamieszkaniaSiedziby }
     */
    public TPodmiotDowolnyPelny.AdresZamieszkaniaSiedziby createTPodmiotDowolnyPelnyAdresZamieszkaniaSiedziby() {
        return new TPodmiotDowolnyPelny.AdresZamieszkaniaSiedziby();
    }

    /**
     * Create an instance of {@link TOsobaFizyczna.AdresZamieszkania }
     */
    public TOsobaFizyczna.AdresZamieszkania createTOsobaFizycznaAdresZamieszkania() {
        return new TOsobaFizyczna.AdresZamieszkania();
    }

    /**
     * Create an instance of {@link TOsobaNiefizycznaPelna.AdresSiedziby }
     */
    public TOsobaNiefizycznaPelna.AdresSiedziby createTOsobaNiefizycznaPelnaAdresSiedziby() {
        return new TOsobaNiefizycznaPelna.AdresSiedziby();
    }

    /**
     * Create an instance of {@link TOsobaFizyczna2 .AdresZamieszkania }
     */
    public TOsobaFizyczna2.AdresZamieszkania createTOsobaFizyczna2AdresZamieszkania() {
        return new TOsobaFizyczna2.AdresZamieszkania();
    }

    /**
     * Create an instance of {@link TOsobaNiefizyczna.AdresSiedziby }
     */
    public TOsobaNiefizyczna.AdresSiedziby createTOsobaNiefizycznaAdresSiedziby() {
        return new TOsobaNiefizyczna.AdresSiedziby();
    }

    /**
     * Create an instance of {@link TOsobaFizyczna1 .AdresZamieszkania }
     */
    public TOsobaFizyczna1.AdresZamieszkania createTOsobaFizyczna1AdresZamieszkania() {
        return new TOsobaFizyczna1.AdresZamieszkania();
    }

    /**
     * Create an instance of {@link TPodmiotDowolny.AdresZamieszkaniaSiedziby }
     */
    public TPodmiotDowolny.AdresZamieszkaniaSiedziby createTPodmiotDowolnyAdresZamieszkaniaSiedziby() {
        return new TPodmiotDowolny.AdresZamieszkaniaSiedziby();
    }

    /**
     * Create an instance of {@link TNaglowek.KodFormularza }
     */
    public TNaglowek.KodFormularza createTNaglowekKodFormularza() {
        return new TNaglowek.KodFormularza();
    }

}
